---
title: sendMessageUploadAudioAction
description: User is uploading a voice message.
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: sendMessageUploadAudioAction  
[Back to constructors index](index.md)



User is uploading a voice message.

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|progress|[int](../types/int.md) | Yes|Progress percentage|



### Type: [SendMessageAction](../types/SendMessageAction.md)


### Example:

```php
$sendMessageUploadAudioAction = ['_' => 'sendMessageUploadAudioAction', 'progress' => int];
```  


Or, if you're into Lua:

```lua
sendMessageUploadAudioAction={_='sendMessageUploadAudioAction', progress=int}

```


